<%@include file="includes/taglibs.jsp"%>

<portlet:defineObjects/>
<fmt:setBundle basename="hu.midori.kosmos.portlet.jira.jira_monitoring" scope="application"/>

<table>
  <tr class="portlet-section-body">
    <td><fmt:message key="jiraproject.openIssuesByPriority"/>:</td>
    <td><img src="<c:out value="${project.openIssuesPerPriorityChartUrl}"/>" title="<fmt:message key="jiraproject.openIssuesByPriority"/>"/></td>
    <td valign="top">
      <table>
        <tr class="portlet-section-alternate">
          <td><fmt:message key="jiraproject.blockerOpenIssues"/>:</td><td><fmt:formatNumber value="${project.blockerOpenIssues}"/></td>
        </tr>
        <tr class="portlet-section-alternate">
          <td><fmt:message key="jiraproject.criticalOpenIssues"/>:</td><td><fmt:formatNumber value="${project.criticalOpenIssues}"/></td>
        </tr>
        <tr class="portlet-section-alternate">
          <td><fmt:message key="jiraproject.majorOpenIssues"/>:</td><td><fmt:formatNumber value="${project.majorOpenIssues}"/></td>
        </tr>
        <tr class="portlet-section-alternate">
          <td><fmt:message key="jiraproject.minorOpenIssues"/>:</td><td><fmt:formatNumber value="${project.minorOpenIssues}"/></td>
        </tr>
        <tr class="portlet-section-alternate">
          <td><fmt:message key="jiraproject.trivialOpenIssues"/>:</td><td><fmt:formatNumber value="${project.trivialOpenIssues}"/></td>
        </tr>
        <tr class="portlet-section-alternate">
          <td><fmt:message key="jiraproject.optionalOpenIssues"/>:</td><td><fmt:formatNumber value="${project.optionalOpenIssues}"/></td>
        </tr>
      </table>      
    </td>
  </tr>
  <tr class="portlet-section-alternate">    
    <td valign="top"><fmt:message key="jiraproject.openIssuesByAssignee"/>:</td>
    <td valign="top"><img src="<c:out value="${project.openIssuesPerAssigneeChartUrl}"/>" title="<fmt:message key="jiraproject.openIssuesByAssignee"/>"/></td>
    <td valign="top">

      <c:set var="listSize" value="${fn:length(project.openIssuesPerAssignee)}"/>
      <c:set var="listIndex" value="0"/>
      <%@include file="includes/table_expander.jsp" %>
    
      <table>
        <c:forEach var="item" items="${project.openIssuesPerAssignee}" varStatus="status">
          <c:choose>
            <c:when test="${status.index < 10}">
              <tr id="row-<portlet:namespace/>-0-<c:out value="${status.index}"/>" class="portlet-section-body">
            </c:when>
            <c:otherwise>
              <tr id="row-<portlet:namespace/>-0-<c:out value="${status.index}"/>" style="display: none" class="portlet-section-body">
            </c:otherwise>
          </c:choose>
            <td><c:out value="${1 + status.index}"/></td>
            <td><c:out value="${item.key}"/></td>
            <td><c:out value="${item.value}"/></td>
          </tr>
        </c:forEach>
      </table>            
    </td>
  </tr>
  <%@include file="includes/table_footer.jsp"%>    
</table>

<form action="<portlet:renderURL/>" method="post">
  <input type="submit" class="portlet-form-button" name="submit" value="<fmt:message key="action.back"/>"/>
</form>
  